Property Endpoint
URL: https://www.realtracs.com/reso/Property
The Property endpoint provides information about listings in Realtracs. Our Property resource is fully data dictionary compliant.
For a list of fields available, please reference our metadata.
Supported Queries
You can query the Property endpoint using the following fields:
- ModificationTimestamp – Returns listings updated since a specified date/time.
- ListingKey – Returns a specific listings by its unique key.
- PhotosChangeTimestamp -- Returns listings whose photos have updated since a specified date/time.
- DocumentsChangeTimestamp -- Returns listings whose documents have updated since a specified date/time.
- MlsStatus -- Returns listings in a specific status.
- PropertyType -- Returns listings with specific property type.
Please refer to the billing documentation to understand how querying on different fields impacts your transaction cost.
Sorting
- Records are sorted by
ModificationTimestampby default. - If you filter on
PhotosChangeTimestamp, you must also sort onPhotosChangeTimestamp - If you filter on
DocumentsChangeTimestamp, you must also sort onDocumentsChangeTimestamp - You may also sort on
ListingKey
Expanding Related Resources
The following fields may be expanded, using the $expand operator
- Media
- OpenHouse
- historyTransactional
- PropertyRooms
- PropertyUnits
⚠️ It is preferred that you replicate Media, OpenHouse, and HistoryTransactional records directly from those resource endpoints, respectively, by querying on ModificationTimestamp. Expanding these three resources from the Property resource will generate an additional Class B Transaction for each.
There is no additional charge for expanding PropertyRooms or PropertyUnits
Example
GET https://www.realtracs.com/reso/Property?$filter=ModificationTimestamp gt '2026-01-01T00:00:00Z'
Removed Listings
We never physically delete listings. Rather, we set them to a status of Delete. You should look for this status
and honor it, when it appears, by deleting the listing from your system.
Some listings may be pulled from your licensed data set either because the Broker no longer wishes to license their listings to you or because the status of the listing make it ineligible for distribution to you. As a result, you will no longer see it. Periodically, you should query for all listings in the data set and remove from your dataset any listings that no longer appear in your feed. When doing so, to keep the payload to a minimum, only select the ListingKey.
GET https://www.realtracs.com/reso/Property?$select=ListingKey
Restrictions
Some fields in the property payload indicate the use of the given listing comes with restrictions. The following fields indicate whether restrictions apply:
- InternetEntireListingDisplayYN - Indicates whether the seller has allowed the listing to be displayed on Internet sites. When false, the provider should never display this listing on the internet regardless of whether the listing is behind a consumer login.
- InternetAddressDisplayYN - Indicates whether the seller has allowed the listing address to be displayed on Internet sites. When false, the address of the listing should never be displayed regardless of whether the listing is behind a consumer login.
- InternetAutomatedValuationDisplayYN - Indicates whether the seller allows the listing to be displayed with an automated valuation model (AVM) on Internet sites. When false, an automated valuation, estimated value, or estimated price should never be displayed alongside the listing regardless of whether the listing is behind a consumer login.
Best Practices
- We always update the ModificationTimestamp for a property when it changes. Use ModificationTimestamp to retrieve only recently updated listings for efficiency.
- Periodically check for listings that may have been removed from your feed.
- Avoid using $expand for Media, OpenHouse, and HistoryTransactional records. Instead, query those resources directly.
- Avoid querying the Property resource on
PhotosChangeTimestamporDocumentsChangeTimestamp. TheModificationTimestampis updated whenever a listing's Media changes. - Do not attempt to use $top and $skip for pagination. Instead, follow the @odata.nextLink
- Honor restrictions indicated by
fields on the listing .